    {% extends 'base.html.twig' %}
    {% block javascripts %}
            <style>
                .scroller {
            
                height: 100px;
                overflow-y: scroll;
                scrollbar-color: rebeccapurple green;
                scrollbar-width: thin;
                }

            </style>
             <script
			  src="https://code.jquery.com/jquery-3.6.0.min.js"
			  integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
			  crossorigin="anonymous"></script>
            <script>
               
               
$(document).ready(function () {
            var longpress = false;

            $("#testButton").on('click', function () {
                // (longpress) ? alert("Long Press"): alert("Short Press");
                
                (longpress) ? showModal(): redirecter();
            });

            var startTime, endTime;
            $("#testButton").on('mousedown', function () {
                startTime = new Date().getTime();
            });

            $("#testButton").on('mouseup', function () {
                endTime = new Date().getTime();
                longpress = (endTime - startTime < 500) ? false : true;
                
            });
        });

        function showModal(){
            $("#testButton").attr("data-bs-toggle","offcanvas");
            $("#testButton").attr("href","#offcanvas-top");
        }
        function redirecter(){
            window.location.replace("{{path('login')}}");
        }

        
        </script>
    {% endblock %}

    {% block body %}
        {% include "includes/header.html.twig" %}
       
        <!-- App Capsule -->
        <div id="appCapsule">
            <div class="section full mt-3">
                <div class="invoice">
                    <div class="invoice-person ">
                        <div class="invoice-to">
                            
                            <h4>Facture: {{facture.idFacture}}</h4>
                            <p><b>Date</b>: {{facture.dateFacture|date('d-m-Y')}}</p>
                            <p><b>Client</b>: {{facture.idClient.nomClient}}</p>
                        </div>
                        <div class="invoice-from">
                            <div class="section-title">Commentaires</div>   
                            <div class="comment-block scroller">
                                <!--item -->
                                {% for commentaire in facture.commentaires %}
                                <div class="item mb-1" >
                                    <div class="in">
                                        <div class="text">
                                            {{commentaire.commentaires}}
                                        </div>
                                    </div>
                                </div>
                                <div class="divider bg-primary mb-1"></div>
                                {% endfor %}
                                <!-- * item -->
                                
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="section full mt-3 mb-2">
                
    <!-- Offcanvas Top -->
    <div class="offcanvas offcanvas-top" tabindex="-1" id="offcanvas-top">
        <div class="offcanvas-header">
            <h5 class="offcanvas-title">Title</h5>
            <a href="#" class="offcanvas-close" data-bs-dismiss="offcanvas">
                <ion-icon name="close-outline"></ion-icon>
            </a>
        </div>
        <div class="offcanvas-body">
            <div>
             <div class="section mt-2">
            <div class="card">
                <img src="assets/img/sample/photo/wide1.jpg" class="card-img-top" alt="image">
                <div class="card-body">
                    <h6 class="card-subtitle">Card subtitle</h6>
                    <h5 class="card-title">Card title</h5>
                    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the
                        card's content.</p>
                </div>
            </div>
        </div>
            </div>
        </div>
    </div>
    <!-- * Offcanvas Top -->
   
                <div class="wide-block p-0">

                    <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th scope="col">Produit</th>
                                    <th scope="col">Qte Demandé</th>
                                    <th>Qte Scanné</th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for ligne in facture.lignesFacture %}
                             {% set qtescanne = 0 %}
                            {% if ligne.qteScanne is not null %}
                                {% set qtescanne = ligne.qteScanne %}
                            {% endif %}
                                {# <tr id="testButton" href="javascript:retid();" > #}
                                {# onclick="document.location ='{{path('product',{'id':ligne.cptLigneFacture})}}'" #}
                                <tr id="rtestButton" onclick="document.location ='{{path('product',{'id':ligne.cptLigneFacture})}}'"
                                {% if ligne.qte == qtescanne %} class="bg-primary" style="color:white" {% endif %} >

                                    <th scope="row">{{ligne.idArticle.nomArticle}}</th>
                                    <td>{{ligne.qte}}</td>
                                    <td>{{qtescanne}}</td>
                                </tr>
                            {% endfor %}
                                
                            </tbody>
                        </table>
                    </div>

                </div>
                <div class="content-header mt-2 mb-2">
                    
                    <button class="btn btn-primary square" id="validerCommande"
                        {% if facture.idStatutTraitement != 3 %}disabled {% endif %}
                        >Valider la commande {{facture.idStatutTraitement }}</button>
                </div>
            </div>


        



        </div>
        <!-- * App Capsule -->

        <!-- App Bottom Menu -->
            {% include "includes/menu.html.twig" %}
        <!-- * App Bottom Menu -->
    {% endblock %}
   

